/*
CREATE TABLE person ( 
id SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT, 
name CHAR(60) NOT NULL, 
PRIMARY KEY (id),
UNIQUE (name) ); 

CREATE TABLE Shirt ( 
id SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT, 
style ENUM('t-Shirt', 'polo', 'dress') NOT NULL, 
color ENUM('red', 'blue', 'orange', 'white', 'black') NOT NULL, 
owner SMALLINT UNSIGNED NOT NULL, 
PRIMARY KEY (id),
FOREIGN KEY (owner) REFERENCES person (id),
UNIQUE (sytyle, color, owner);

*/
INSERT INTO person VALUES (NULL, 'Otto Normalverbraucher'); 

SELECT @last := LAST_INSERT_ID(); 

INSERT INTO Shirt VALUES 
(NULL, 'polo', 'blue', @last), 
(NULL, 'dress', 'white', @last), 
(NULL, 't-Shirt', 'blue', @last);

INSERT INTO person VALUES (NULL, 'Monika Musterfrau'); 

INSERT INTO Shirt VALUES 
(NULL, 'dress', 'orange', LAST_INSERT_ID()), 
(NULL, 'dress', 'White', LAST_INSERT_ID()), 
(NULL, 'polo', 'red', LAST_INSERT_ID()), 
(NULL, 'dress', 'blue', LAST_INSERT_ID()), 
(NULL, 't-Shirt', 'white', LAST_INSERT_ID()); 

INSERT INTO person VALUES (NULL, 'Max Mustermann'); 

INSERT INTO Shirt VALUES 
(NULL, 'dress', 'orange', LAST_INSERT_ID()), 
(NULL, 'dress', 'white', LAST_INSERT_ID()), 
(NULL, 'polo', 'red', LAST_INSERT_ID()), 
(NULL, 'polo', 'white', LAST_INSERT_ID()), 
(NULL, 'polo', 'orange', LAST_INSERT_ID()), 
(NULL, 'polo', 'black', LAST_INSERT_ID()), 
(NULL, 'dress', 'blue', LAST_INSERT_ID()), 
(NULL, 't-Shirt', 'white', LAST_INSERT_ID()); 